Bug 22300 - bind & syslogd deadlock under high load
bind & syslogd deadlock under high load
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sysklogd (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-12-14 10:26 EST by Kirill Pushkin
Modified: 2014-03-16 22:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-15 11:02:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kirill Pushkin 2000-12-14 10:26:30 EST
Speciality: syslogd is configured to receive external messages from
Cisco router.

Sometimes (may take a week) under high load named hangs until its restart.
strace -p <named_pid> says:
send(3,"<syslog message>

After disabling of receiving of external messages by syslogd all work
just fine.

Possible problem: syslog resolves IP to name for external message, but
named is busy by sending message to syslog in that time.
Comment 1 Kirill Pushkin 2000-12-14 10:28:22 EST
btw, rpm -q bind sysklogd :

bind-8.2.2_P7-0.6.2
sysklogd-1.3.31-17
Comment 2 Bill Nottingham 2000-12-30 02:01:11 EST
This will be fixed in sysklogd-1.4-4, which will be in the next
rawhide release; you will be able to start syslogd with the '-x'
option that disables reverse lookups of incoming messages.

Note You need to log in before you can comment on or make changes to this bug.